﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace ScenarioFramework.Portal.SF.Forms
{
    public partial class SF : System.Web.UI.MasterPage
    {
        string sTabName = string.Empty;

        public string TabName
        {
            get { return sTabName; }
            set { sTabName = value; }
        }

        string sSubTabName = string.Empty;

        public string SubTabName
        {
            get { return sSubTabName; }
            set { sSubTabName = value; }
        }   

        protected void Page_Load(object sender, EventArgs e)
        {
            if (Context.User.Identity.AuthenticationType == "Forms")
            {
                this.lnkLogOff.Text = "Log Off  " + Page.User.Identity.Name;
                this.lnkLogOff.Visible = true;
            }

            ctlPageTabs.CurrentTabName = TabName;
            ctlPageTabs.CurrentSubTabName = SubTabName;
        }
    }
}
