﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ActivityList.ascx.cs" Inherits="ScenarioFramework.Portal.SF.Forms.UserControls.ActivityListAvailable" %>
<asp:datagrid id="GridAvailable" 
    runat="server" 
    AutoGenerateColumns="False"
	CellPadding="1" 
	Width="100%" ForeColor="Black" GridLines="Vertical" 
    ondeletecommand="GridAvailable_DeleteCommand" 
    oneditcommand="GridAvailable_EditCommand" 
    onitemcommand="GridAvailable_ItemCommand" AllowSorting="True" 
    onsortcommand="GridAvailable_SortCommand" BackColor="White" 
    BorderColor="#DEDFDE" BorderStyle="None" BorderWidth="1px">
    <AlternatingItemStyle CssClass="gridAlternative" BackColor="White">
    </AlternatingItemStyle>
    <ItemStyle BackColor="#F7F7DE" />
    <Columns>
        <asp:BoundColumn DataField="ProcessAlias" HeaderText="Processo" SortExpression="ProcessAlias" />
        <asp:BoundColumn DataField="Date" SortExpression="Date" HeaderText="Data" />
        <asp:BoundColumn DataField="IdDocument" SortExpression="IdDocument" HeaderText="Protocollo" />
        <asp:BoundColumn DataField="InsertedBy" SortExpression="InsertedBy" HeaderText="Inserito da" />
        <asp:BoundColumn DataField="ActivityAlias" SortExpression="ActivityAlias" HeaderText="Descrizione" />
    </Columns>
    <HeaderStyle Font-Bold="True" BorderWidth="1px" ForeColor="White" 
        BorderStyle="Outset" BackColor="#6B696B" />
    <FooterStyle BackColor="#CCCC99" />
    <SelectedItemStyle BackColor="#CE5D5A" Font-Bold="True" ForeColor="White" />
    <PagerStyle HorizontalAlign="Right" BackColor="#F7F7DE" ForeColor="Black" 
        Mode="NumericPages">
    </PagerStyle>
</asp:datagrid>
<asp:TextBox ID="txtDescription" runat="server"></asp:TextBox>
