using System;
using ScenarioFramework.WorkflowEngine.DataModel.WorkflowProcesses;

namespace ACEMPortal.Layer.Workflowlayer.DocumentManager
{
	/// <summary>
	/// Descrizione di riepilogo per XMLActivityWithAttributes.
	/// </summary>
	public class XMLActivityWithAttributes : XMLActivity
	{
		private string sIdDocument = string.Empty;
		private string sInsertedBy = string.Empty;
		private string sActivityAlias = string.Empty;
		private string sProcessAlias = string.Empty;
		private string sNowOwner = string.Empty;
		private string sHelpUrl = string.Empty;

		public XMLActivityWithAttributes() : base()
		{
		}

		public string IdDocument
		{
			get { return sIdDocument;}
			set { sIdDocument = value;}
		}

		public string InsertedBy 
		{
			get { return sInsertedBy;}
			set { sInsertedBy = value;}
		}

		public string ActivityAlias 
		{
			get { return sActivityAlias;}
			set { sActivityAlias = value;}
		}

		public string ProcessAlias 
		{
			get { return sProcessAlias;}
			set { sProcessAlias = value;}
		}

		public string NowOwner
		{
			get { return sNowOwner;}
			set { sNowOwner = value;}
		}

		public string HelpUrl
		{
			get { return sHelpUrl;}
			set { sHelpUrl = value;}
		}
	}
}
