using System;

namespace ScenarioFramework.Modeler.Forms.BPMN
{
    public enum FormExit { SAVE, CANCEL };


    public class BPMNUtils
    {
        #region Shape Master ID
        public const string COST_PROPERTY = "Cost";
        public const string AUDIT_DIAGRAM_TEMPLATE = "BPMN.VST";
        public const string CUSTOM_PROPERTY_PREFIX = "Prop.";
        public const string ASTERISK = "*";

        public const string Start_MASTER = "Start";
        public const string End_MASTER = "Intermediate";
        public const string Intermediate_MASTER = "Master";
        public const string Activity_MASTER = "Activity";
        public const string Gateway_MASTER = "Gateway";
        public const string GatewayOR_MASTER = "Gateway OR";
        public const string GatewayAND_MASTER = "Gateway AND";
        public const string GatewayXOR_MASTER = "Gateway XOR";
        public const string GatewayEvent_MASTER = "Gateway Event-Based";
        public const string GatewayComplex = "Gateway Complex";

        public const string Flow_MASTER = "Flow";
        public const string MessageFlow_MASTER = "Message Flow";
        public const string Attribute_MASTER = "3D stack top";
        public const string COLLAPSED_SUBPROCESS_MASTER = "Collapsed Sub-Process";

        public const string POOL_LANE_MASTER = "Pool/Lane";
        public const string SHEET_POOL_LANE_MASTER = "Sheet.4";
        #endregion
    }
}
