using System;

namespace ScenarioFramework.Modules.DM.DataModel
{
	public class XMLDocumentMigrates : bOSdotNET.XML.Data.XMLObjectSet 
	{
		public const string MAIN_NODE	= "Migrates";

		public XMLDocumentMigrates()
		{
			this.Init();
		}

		public XMLDocumentMigrates(System.Xml.XmlNode nodeList)
		{
			this.Parse (nodeList);
		}

		public override void Init()
		{
			this.RemoveAll();
		}

		public override void Parse(System.Xml.XmlNode nodeList)
		{
			this.Init();

			System.Xml.XmlNode node;

			for ( int i=0; i<nodeList.ChildNodes.Count;i++)
			{
				node = nodeList.ChildNodes[i];

				switch ( node.Name) 
				{
					case XMLDocumentMigrate.MAIN_NODE:
						this.Add ( new XMLDocumentMigrate(node));
						break;
				}
			}
		}

		override public bOSdotNET.XML.XMLNode GetXMLNode()
		{
			bOSdotNET.XML.XMLNode xmlNode = new bOSdotNET.XML.XMLNode(XMLDocumentMigrates.MAIN_NODE);

			for ( int i=0; i<this.Count;i++)
			{
				xmlNode.AddNode ( this[i].GetXMLNode() );
			}

			return xmlNode;
		}

		/*
		public XMLDocumentBase Get (string sDocumentName)
		{
			XMLDocumentBase document;

			for ( int i=0; i<this.List.Count;i++)
			{
				document = (XMLDocumentBase)this[i];

				if ( document.Name == sDocumentName )
				{
					return document;
				}
			}

			throw new DataManager.Panorama.Modules.DocumentManager.Exception.DocumentNotFound(sDocumentName);
		}
		*/
	}
}