using System;

namespace ScenarioFramework.Modules.FormHelper
{
	//*********************************************************************
	//
	// XMLFlags Class
	//
	// The XMLFlags class represents a collection base of XMLFlag
	// Its imports methods from bOSdotNET.XML.Data.XMLObjectSet like get set and add
	// XMLFlags Has no fields
	//
	//*********************************************************************

	public class XMLFlags : bOSdotNET.XML.Data.XMLObjectSet
	{
		public const string MAIN_NODE	= "Flags";

		/** FIELDS **/

		/** no fields **/

		/** CONSTRUCTORS **/

		/** CONSTRUCTOR Empty **/
		public XMLFlags()
		{
			this.Init();
		}

		/** CONSTRUCTOR Width XML parsering**/
		public XMLFlags(System.Xml.XmlNode nodeList)
		{
			this.Parse (nodeList);
		}

		/** Properties **/

		/** no Properties **/


		/** INSTANCE METHODS **/

		override public void Init()
		{
			this.RemoveAll();
		}

		override public void Parse(System.Xml.XmlNode nodeList)
		{
			this.Init();

			System.Xml.XmlNode node;

			/** find subcollection fileds to add **/
			for ( int i=0; i<nodeList.ChildNodes.Count;i++)
			{
				node = nodeList.ChildNodes[i];

				switch ( node.Name) 
				{
					case XMLFlag.MAIN_NODE:
						this.Add ( new XMLFlag(node));
						break;
				}
			}

		}

		override public bOSdotNET.XML.XMLNode GetXMLNode()
		{
			bOSdotNET.XML.XMLNode XMLNode = new bOSdotNET.XML.XMLNode(XMLProcessAction.MAIN_NODE);

			for ( int i=0; i<this.Count;i++)
			{
				XMLNode.AddNode ( this[i].GetXMLNode() );
			}

			return XMLNode;
		}
		
	}
}
