﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ScenarioFramework.WorkflowEngine.Scheduler.Data;
using System.Collections;

namespace ScenarioFramework.WorkflowEngine.Database.WorkflowProcesses
{
    public class KPIHelper : Helper
    {
        public IList SelectAllKPIs()
        {
            return Mapper().QueryForList("SelectAllKPI", null);
        }

        public IList DynamicGetKPIList(KPI KPI)
        {
            return Mapper().QueryForList("dynamicGetKPIList", KPI);
        }

        public IList Select(string sStatement, KPI kpi)
        {
            return Mapper().QueryForList(sStatement, kpi);
        }
    }
}
