#region Imports Directives

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

#endregion

namespace ScenarioFramework.WorkflowEngine.Events
{
    public class EventsFactory 
    {
        public static EventBase MakeEvent(String eventID)
        {
            if (Message.ID.CompareTo(eventID) == 0)
            {
                return new Message();
            }
            else if (Signal.ID.CompareTo(eventID) == 0)
            {
                return new Signal();
            }
            else if (Timeout.ID.CompareTo(eventID) == 0)
            {
                return new Timeout();
            }
            else
            {
                //TODO: da gestire. significa che il ProcessEngine monta un EventsHandler differente
                return null;
            }
        }

    }
}
