using System;
using Quartz;

namespace ScenarioFramework.WorkflowEngine.Events
{
	public class Message : MessageBase
	{
        public Message()
		{
		}

        override public Trigger GetTrigger(string EventAction) {
            //TODO: le caratteristiche del trigger andrebbero estrapolate da item
            Trigger trigger = Quartz.TriggerUtils.MakeSecondlyTrigger();
            trigger.StartTimeUtc = DateTime.UtcNow; 
            return trigger;
        }

        override public JobDetail GetJobDetail(String sEventAction) {

            JobDetail jobDetail = new JobDetail();
            jobDetail.JobType = typeof(ScenarioFramework.WorkflowEngine.Events.Jobs.ActivityJob);
            
            /*jobDetail.JobDataMap[Jobs.ScenarioJob.CLASSID_TAG] = 123;               //TODO:
            jobDetail.JobDataMap[Jobs.ScenarioJob.PROCESSXML_TAG] = item.ProcessXML;
            jobDetail.JobDataMap[Jobs.ScenarioJob.WAPIXML_TAG] = "l'xml della WAPI"; //TODO:
             */

            return jobDetail;
        }
	}
}
