﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace ScenarioFramework.Modeler.Settings
{
    public class ToolSection : ConfigurationSection
    {
        // Create a "remoteOnly" attribute.
        [ConfigurationProperty("type", IsRequired = true)]
        public String Type
        {
            get
            {
                return (String)this["type"];
            }
            set
            {
                this["type"] = value;
            }
        }

        [ConfigurationProperty("path", IsRequired = true)]
        public String Path
        {
            get
            {
                return (String)this["path"];
            }
            set
            {
                this["path"] = value;
            }
        }

    }

    public class XmlManagerTool : ToolSection
    {
    }
}
