﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using WorkflowRelevantData = ScenarioFramework.WorkflowEngine.DataModel.WorkflowRelevantData;

namespace ScenarioFramework.Tools.UI.Controls.ListControls.ListItem
{
    class AttributeListViewItem : ListViewItem
    {
        WorkflowRelevantData.XMLAttribute m_attribute;

        public AttributeListViewItem(WorkflowRelevantData.XMLAttribute attribute) : base(new String[] {attribute.Name, attribute.Value}) 
        {
            m_attribute = attribute;
        }

        public WorkflowRelevantData.XMLAttribute XMLAttribute { get { return m_attribute; } set { m_attribute = value; } }

    }
}
