﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


using WorkflowProcesses = ScenarioFramework.WorkflowEngine.DataModel.WorkflowProcesses;

namespace ScenarioFramework.Tools.UI.Controls.ListControls.ListItem
{
    public class WorkflowTemplateComboItem : object
    {
        protected String m_Name;
        protected WorkflowProcesses.XMLWorkflow xmlWorkflow = null;

        public WorkflowTemplateComboItem(WorkflowProcesses.XMLWorkflow workflow)
        {
            xmlWorkflow = workflow;
            int posDot = workflow.Name.IndexOf(".");

            this.m_Name = workflow.Name.Substring(0, posDot);
        }

        public override string ToString()
        {
            return this.m_Name;
        }

        public WorkflowProcesses.XMLWorkflow XMLWorkflow { get { return this.xmlWorkflow; } }
    };
}
