using System;

namespace bOS.Exception
{
	public class bOSException : System.Exception
	{
		private string sMessage;
		private int iErrorCode;

		public bOSException(string sMsg)
		{
			sMessage = sMsg;
			iErrorCode=0;
		}

		public bOSException(int iError, string sMsg)
		{
			sMessage = sMsg;
			iErrorCode=iError;
		}

		public int ErrorCode
		{
			get { return iErrorCode;}
		}

		override public String Message
		{
			get { return sMessage;}
		}
	}
}
