using System;
using System.Drawing;
using System.Web.UI;

using ScenarioFramework.WorkflowEngine.DataModel.WorkflowProcesses;
using ScenarioFramework.Modules.FormHelper;
using ACEMPortal.Layer.Workflowlayer.DocumentManager;
using ScenarioFramework.Portal;

namespace ACEMPortal.BAT.Operations
{
	public partial class TODOList : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.HyperLink HyperLink1;
		protected System.Web.UI.WebControls.PlaceHolder publishedservices;
		
		#region Codice generato da Progettazione Web Form
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: questa chiamata  richiesta da Progettazione Web Form ASP.NET.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Metodo necessario per il supporto della finestra di progettazione. Non modificare
		/// il contenuto del metodo con l'editor di codice.
		/// </summary>
		private void InitializeComponent()
		{    
		}
		#endregion

        protected void Page_Load(object sender, System.EventArgs e)
        {
            String sViewType = Request.QueryString["ViewType"];
            if (sViewType == null)
            {
                this.ActivityListAvailable1.ViewType = ScenarioFramework.Portal.SF.Forms.UserControls.ActivityListAvailable.ActivityType.AllMine;
            }
            else
            {
                switch (sViewType)
                {
                    case "Locked":
                        this.ActivityListAvailable1.ViewType = 
                            ScenarioFramework.Portal.SF.Forms.UserControls.ActivityListAvailable.ActivityType.Locked;
                        break;
                    case "Notifies":
                        this.ActivityListAvailable1.ViewType =
                            ScenarioFramework.Portal.SF.Forms.UserControls.ActivityListAvailable.ActivityType.Notifies;
                        break;
                    case "Unlocked":
                        this.ActivityListAvailable1.ViewType =
                            ScenarioFramework.Portal.SF.Forms.UserControls.ActivityListAvailable.ActivityType.Unlocked;
                        break;
                    case "AllMine":
                        this.ActivityListAvailable1.ViewType =
                            ScenarioFramework.Portal.SF.Forms.UserControls.ActivityListAvailable.ActivityType.AllMine;
                        break;
                }
            }
        }
	}
}
