using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using Visio = Microsoft.Office.Interop.Visio;

namespace Scenario.Modeler
{
	/// <summary>
	/// Summary description for VisioWindows.
	/// </summary>
	public class VisioWindows : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.CheckBox checkAnchorBarAddon;
		private System.Windows.Forms.CheckBox checkSheet;
		private System.Windows.Forms.CheckBox checkPageWin;
		private System.Windows.Forms.CheckBox checkPageGroupWin;
		private System.Windows.Forms.CheckBox checkMasterWin;
		private System.Windows.Forms.CheckBox checkMasterGroupWin;
		private System.Windows.Forms.CheckBox checkInvalWinID;
		private System.Windows.Forms.CheckBox checkIcon;
		private System.Windows.Forms.CheckBox checkDrawingAddon;
		private System.Windows.Forms.CheckBox checkDrawing;
		private System.Windows.Forms.CheckBox checkDockedStencilBuiltIn;
		private System.Windows.Forms.CheckBox checkDockedStencilAddon;
		private System.Windows.Forms.CheckBox checkApplication;
		private System.Windows.Forms.CheckBox checkAnchorBarBuiltIn;
		private System.Windows.Forms.CheckBox checkWinIDPanZoom;
		private System.Windows.Forms.CheckBox checkWinIDMasterExplorer;
		private System.Windows.Forms.CheckBox checkWinIDDrawingExplorer;
		private System.Windows.Forms.CheckBox checkWinIDCustProp;
		private System.Windows.Forms.CheckBox checkStencilAddon;
		private System.Windows.Forms.CheckBox checkWinIDStencilExplorer;
		private System.Windows.Forms.CheckBox checkWinIDSizePos;
		private System.Windows.Forms.CheckBox checkWinIDShapeSearch;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button btnApply;
		private System.Windows.Forms.TextBox textBox1;
		private System.Windows.Forms.CheckBox checkWinIDFormulaTracing;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.CheckBox check;
		private System.Windows.Forms.Label label1;

		public AxMicrosoft.Office.Interop.VisOcx.AxDrawingControl DrawingControl = null;

		public VisioWindows()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnOK = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.checkAnchorBarAddon = new System.Windows.Forms.CheckBox();
			this.checkSheet = new System.Windows.Forms.CheckBox();
			this.checkPageWin = new System.Windows.Forms.CheckBox();
			this.checkPageGroupWin = new System.Windows.Forms.CheckBox();
			this.checkMasterWin = new System.Windows.Forms.CheckBox();
			this.checkMasterGroupWin = new System.Windows.Forms.CheckBox();
			this.checkInvalWinID = new System.Windows.Forms.CheckBox();
			this.checkIcon = new System.Windows.Forms.CheckBox();
			this.checkDrawingAddon = new System.Windows.Forms.CheckBox();
			this.checkDrawing = new System.Windows.Forms.CheckBox();
			this.checkDockedStencilBuiltIn = new System.Windows.Forms.CheckBox();
			this.checkDockedStencilAddon = new System.Windows.Forms.CheckBox();
			this.checkApplication = new System.Windows.Forms.CheckBox();
			this.checkAnchorBarBuiltIn = new System.Windows.Forms.CheckBox();
			this.checkWinIDPanZoom = new System.Windows.Forms.CheckBox();
			this.checkWinIDMasterExplorer = new System.Windows.Forms.CheckBox();
			this.checkWinIDDrawingExplorer = new System.Windows.Forms.CheckBox();
			this.checkWinIDCustProp = new System.Windows.Forms.CheckBox();
			this.checkStencilAddon = new System.Windows.Forms.CheckBox();
			this.checkWinIDStencilExplorer = new System.Windows.Forms.CheckBox();
			this.checkWinIDSizePos = new System.Windows.Forms.CheckBox();
			this.checkWinIDShapeSearch = new System.Windows.Forms.CheckBox();
			this.btnApply = new System.Windows.Forms.Button();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.checkWinIDFormulaTracing = new System.Windows.Forms.CheckBox();
			this.button1 = new System.Windows.Forms.Button();
			this.check = new System.Windows.Forms.CheckBox();
			this.label1 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// btnOK
			// 
			this.btnOK.Location = new System.Drawing.Point(112, 432);
			this.btnOK.Name = "btnOK";
			this.btnOK.Size = new System.Drawing.Size(80, 32);
			this.btnOK.TabIndex = 0;
			this.btnOK.Text = "OK";
			this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
			// 
			// btnCancel
			// 
			this.btnCancel.Location = new System.Drawing.Point(296, 432);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.Size = new System.Drawing.Size(80, 32);
			this.btnCancel.TabIndex = 1;
			this.btnCancel.Text = "Cancel";
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// checkAnchorBarAddon
			// 
			this.checkAnchorBarAddon.Location = new System.Drawing.Point(16, 24);
			this.checkAnchorBarAddon.Name = "checkAnchorBarAddon";
			this.checkAnchorBarAddon.Size = new System.Drawing.Size(136, 24);
			this.checkAnchorBarAddon.TabIndex = 2;
			this.checkAnchorBarAddon.Text = "AnchorBarAddon";
			// 
			// checkSheet
			// 
			this.checkSheet.Location = new System.Drawing.Point(232, 88);
			this.checkSheet.Name = "checkSheet";
			this.checkSheet.TabIndex = 3;
			this.checkSheet.Text = "Sheet";
			// 
			// checkPageWin
			// 
			this.checkPageWin.Location = new System.Drawing.Point(232, 56);
			this.checkPageWin.Name = "checkPageWin";
			this.checkPageWin.Size = new System.Drawing.Size(136, 24);
			this.checkPageWin.TabIndex = 4;
			this.checkPageWin.Text = "PageWin";
			// 
			// checkPageGroupWin
			// 
			this.checkPageGroupWin.Location = new System.Drawing.Point(232, 24);
			this.checkPageGroupWin.Name = "checkPageGroupWin";
			this.checkPageGroupWin.Size = new System.Drawing.Size(152, 24);
			this.checkPageGroupWin.TabIndex = 5;
			this.checkPageGroupWin.Text = "PageGroupWin";
			// 
			// checkMasterWin
			// 
			this.checkMasterWin.Location = new System.Drawing.Point(16, 344);
			this.checkMasterWin.Name = "checkMasterWin";
			this.checkMasterWin.Size = new System.Drawing.Size(136, 24);
			this.checkMasterWin.TabIndex = 6;
			this.checkMasterWin.Text = "MasterWin";
			// 
			// checkMasterGroupWin
			// 
			this.checkMasterGroupWin.Location = new System.Drawing.Point(16, 312);
			this.checkMasterGroupWin.Name = "checkMasterGroupWin";
			this.checkMasterGroupWin.Size = new System.Drawing.Size(144, 24);
			this.checkMasterGroupWin.TabIndex = 7;
			this.checkMasterGroupWin.Text = "MasterGroupWin";
			// 
			// checkInvalWinID
			// 
			this.checkInvalWinID.Location = new System.Drawing.Point(16, 280);
			this.checkInvalWinID.Name = "checkInvalWinID";
			this.checkInvalWinID.TabIndex = 8;
			this.checkInvalWinID.Text = "InvalWinID";
			// 
			// checkIcon
			// 
			this.checkIcon.Location = new System.Drawing.Point(16, 248);
			this.checkIcon.Name = "checkIcon";
			this.checkIcon.TabIndex = 9;
			this.checkIcon.Text = "Icon";
			// 
			// checkDrawingAddon
			// 
			this.checkDrawingAddon.Location = new System.Drawing.Point(16, 216);
			this.checkDrawingAddon.Name = "checkDrawingAddon";
			this.checkDrawingAddon.Size = new System.Drawing.Size(136, 24);
			this.checkDrawingAddon.TabIndex = 10;
			this.checkDrawingAddon.Text = "DrawingAddon";
			// 
			// checkDrawing
			// 
			this.checkDrawing.Location = new System.Drawing.Point(16, 184);
			this.checkDrawing.Name = "checkDrawing";
			this.checkDrawing.TabIndex = 11;
			this.checkDrawing.Text = "Drawing";
			// 
			// checkDockedStencilBuiltIn
			// 
			this.checkDockedStencilBuiltIn.Location = new System.Drawing.Point(16, 152);
			this.checkDockedStencilBuiltIn.Name = "checkDockedStencilBuiltIn";
			this.checkDockedStencilBuiltIn.Size = new System.Drawing.Size(160, 24);
			this.checkDockedStencilBuiltIn.TabIndex = 12;
			this.checkDockedStencilBuiltIn.Text = "DockedStencilBuiltIn";
			// 
			// checkDockedStencilAddon
			// 
			this.checkDockedStencilAddon.Location = new System.Drawing.Point(16, 120);
			this.checkDockedStencilAddon.Name = "checkDockedStencilAddon";
			this.checkDockedStencilAddon.Size = new System.Drawing.Size(160, 24);
			this.checkDockedStencilAddon.TabIndex = 13;
			this.checkDockedStencilAddon.Text = "DockedStencilAddon";
			// 
			// checkApplication
			// 
			this.checkApplication.Location = new System.Drawing.Point(16, 88);
			this.checkApplication.Name = "checkApplication";
			this.checkApplication.Size = new System.Drawing.Size(152, 24);
			this.checkApplication.TabIndex = 14;
			this.checkApplication.Text = "checkApplication";
			// 
			// checkAnchorBarBuiltIn
			// 
			this.checkAnchorBarBuiltIn.Location = new System.Drawing.Point(16, 56);
			this.checkAnchorBarBuiltIn.Name = "checkAnchorBarBuiltIn";
			this.checkAnchorBarBuiltIn.Size = new System.Drawing.Size(136, 24);
			this.checkAnchorBarBuiltIn.TabIndex = 15;
			this.checkAnchorBarBuiltIn.Text = "AnchorBarBuiltIn";
			// 
			// checkWinIDPanZoom
			// 
			this.checkWinIDPanZoom.Location = new System.Drawing.Point(232, 248);
			this.checkWinIDPanZoom.Name = "checkWinIDPanZoom";
			this.checkWinIDPanZoom.Size = new System.Drawing.Size(160, 24);
			this.checkWinIDPanZoom.TabIndex = 16;
			this.checkWinIDPanZoom.Text = "WinIDPanZoom";
			// 
			// checkWinIDMasterExplorer
			// 
			this.checkWinIDMasterExplorer.Location = new System.Drawing.Point(232, 216);
			this.checkWinIDMasterExplorer.Name = "checkWinIDMasterExplorer";
			this.checkWinIDMasterExplorer.Size = new System.Drawing.Size(160, 24);
			this.checkWinIDMasterExplorer.TabIndex = 17;
			this.checkWinIDMasterExplorer.Text = "WinIDMasterExplorer";
			// 
			// checkWinIDDrawingExplorer
			// 
			this.checkWinIDDrawingExplorer.Location = new System.Drawing.Point(232, 184);
			this.checkWinIDDrawingExplorer.Name = "checkWinIDDrawingExplorer";
			this.checkWinIDDrawingExplorer.Size = new System.Drawing.Size(216, 24);
			this.checkWinIDDrawingExplorer.TabIndex = 18;
			this.checkWinIDDrawingExplorer.Text = "WinIDDrawingExplorer";
			// 
			// checkWinIDCustProp
			// 
			this.checkWinIDCustProp.Location = new System.Drawing.Point(232, 152);
			this.checkWinIDCustProp.Name = "checkWinIDCustProp";
			this.checkWinIDCustProp.Size = new System.Drawing.Size(168, 24);
			this.checkWinIDCustProp.TabIndex = 19;
			this.checkWinIDCustProp.Text = "WinIDCustProp";
			// 
			// checkStencilAddon
			// 
			this.checkStencilAddon.Location = new System.Drawing.Point(232, 120);
			this.checkStencilAddon.Name = "checkStencilAddon";
			this.checkStencilAddon.TabIndex = 20;
			this.checkStencilAddon.Text = "StencilAddon";
			// 
			// checkWinIDStencilExplorer
			// 
			this.checkWinIDStencilExplorer.Location = new System.Drawing.Point(240, 312);
			this.checkWinIDStencilExplorer.Name = "checkWinIDStencilExplorer";
			this.checkWinIDStencilExplorer.Size = new System.Drawing.Size(168, 24);
			this.checkWinIDStencilExplorer.TabIndex = 21;
			this.checkWinIDStencilExplorer.Text = "WinIDStencilExplorer";
			// 
			// checkWinIDSizePos
			// 
			this.checkWinIDSizePos.Location = new System.Drawing.Point(232, 280);
			this.checkWinIDSizePos.Name = "checkWinIDSizePos";
			this.checkWinIDSizePos.Size = new System.Drawing.Size(192, 24);
			this.checkWinIDSizePos.TabIndex = 22;
			this.checkWinIDSizePos.Text = "WinIDSizePos";
			// 
			// checkWinIDShapeSearch
			// 
			this.checkWinIDShapeSearch.Location = new System.Drawing.Point(232, 344);
			this.checkWinIDShapeSearch.Name = "checkWinIDShapeSearch";
			this.checkWinIDShapeSearch.Size = new System.Drawing.Size(152, 24);
			this.checkWinIDShapeSearch.TabIndex = 23;
			this.checkWinIDShapeSearch.Text = "WinIDShapeSearch";
			// 
			// btnApply
			// 
			this.btnApply.Location = new System.Drawing.Point(200, 432);
			this.btnApply.Name = "btnApply";
			this.btnApply.Size = new System.Drawing.Size(80, 32);
			this.btnApply.TabIndex = 24;
			this.btnApply.Text = "Apply";
			this.btnApply.Click += new System.EventHandler(this.btnApply_Click);
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(440, 384);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(72, 22);
			this.textBox1.TabIndex = 25;
			this.textBox1.Text = "textBox1";
			// 
			// checkWinIDFormulaTracing
			// 
			this.checkWinIDFormulaTracing.Location = new System.Drawing.Point(232, 376);
			this.checkWinIDFormulaTracing.Name = "checkWinIDFormulaTracing";
			this.checkWinIDFormulaTracing.Size = new System.Drawing.Size(160, 24);
			this.checkWinIDFormulaTracing.TabIndex = 26;
			this.checkWinIDFormulaTracing.Text = "WinIDFormulaTracing";
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(440, 424);
			this.button1.Name = "button1";
			this.button1.TabIndex = 27;
			this.button1.Text = "button1";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// check
			// 
			this.check.Location = new System.Drawing.Point(440, 360);
			this.check.Name = "check";
			this.check.TabIndex = 28;
			this.check.Text = "checkBox1";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(400, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(128, 264);
			this.label1.TabIndex = 29;
			this.label1.Text = "una Window pu essere contenuta all\'interno della windows di un\'altra Window";
			// 
			// VisioWindows
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 15);
			this.ClientSize = new System.Drawing.Size(536, 480);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.check);
			this.Controls.Add(this.button1);
			this.Controls.Add(this.checkWinIDFormulaTracing);
			this.Controls.Add(this.textBox1);
			this.Controls.Add(this.btnApply);
			this.Controls.Add(this.checkWinIDShapeSearch);
			this.Controls.Add(this.checkWinIDSizePos);
			this.Controls.Add(this.checkWinIDStencilExplorer);
			this.Controls.Add(this.checkStencilAddon);
			this.Controls.Add(this.checkWinIDCustProp);
			this.Controls.Add(this.checkWinIDDrawingExplorer);
			this.Controls.Add(this.checkWinIDMasterExplorer);
			this.Controls.Add(this.checkWinIDPanZoom);
			this.Controls.Add(this.checkAnchorBarBuiltIn);
			this.Controls.Add(this.checkApplication);
			this.Controls.Add(this.checkDockedStencilAddon);
			this.Controls.Add(this.checkDockedStencilBuiltIn);
			this.Controls.Add(this.checkDrawing);
			this.Controls.Add(this.checkDrawingAddon);
			this.Controls.Add(this.checkIcon);
			this.Controls.Add(this.checkInvalWinID);
			this.Controls.Add(this.checkMasterGroupWin);
			this.Controls.Add(this.checkMasterWin);
			this.Controls.Add(this.checkPageGroupWin);
			this.Controls.Add(this.checkPageWin);
			this.Controls.Add(this.checkSheet);
			this.Controls.Add(this.checkAnchorBarAddon);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.btnOK);
			this.Name = "VisioWindows";
			this.Text = "VisioWindows";
			this.Load += new System.EventHandler(this.VisioWindows_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void btnOK_Click(object sender, System.EventArgs e)
		{
			this.ApplySettings();

			
			//Visio.Window visWindow = this.DrawingControl.Window.Windows.get_ItemEx( Int32.Parse (this.textBox1.Text));
			//visWindow.Visible=true;

			this.Close();
		}

		private void VisioWindows_Load(object sender, System.EventArgs e)
		{
			for (int i = this.DrawingControl.Window.Windows.Count; i > 0; i--) 
			{
				Visio.Window visWindow;
				int windowType;

				visWindow = this.DrawingControl.Window.Windows.get_ItemEx(i);
				windowType = visWindow.Type;

				switch (visWindow.ID) 
				{
					case (int) Visio.VisWinTypes.visAnchorBarAddon:
						this.checkAnchorBarAddon.Checked = visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visAnchorBarBuiltIn:
						this.checkAnchorBarBuiltIn.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visApplication:
						this.checkApplication.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visDockedStencilAddon:
						this.checkDockedStencilAddon.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visDockedStencilBuiltIn:
						this.checkDockedStencilBuiltIn.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visDrawing:
						this.checkDrawing.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visDrawingAddon:
						this.checkDrawingAddon.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visIcon:
						this.checkIcon.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visInvalWinID:
						this.checkInvalWinID.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visMasterGroupWin:
						this.checkMasterGroupWin.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visMasterWin:
						this.checkMasterWin.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visPageGroupWin:
						this.checkPageGroupWin.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visPageWin:
						this.checkPageWin.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visSheet:
						this.checkSheet.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visStencilAddon:
						this.checkStencilAddon.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visWinIDCustProp:
						this.checkWinIDCustProp.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visWinIDDrawingExplorer:
						this.checkWinIDDrawingExplorer.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visWinIDMasterExplorer:
						this.checkWinIDMasterExplorer.Checked= visWindow.Visible;
						break;
					case (int) Visio.VisWinTypes.visWinIDPanZoom:
						this.checkWinIDPanZoom.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visWinIDSizePos:
						this.checkWinIDSizePos.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visWinIDStencilExplorer:
						this.checkWinIDStencilExplorer.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visWinIDShapeSearch:
						this.checkWinIDShapeSearch.Checked= visWindow.Visible;
						break;

					case (int) Visio.VisWinTypes.visWinIDFormulaTracing:
						this.checkWinIDFormulaTracing.Checked = visWindow.Visible;
						break;

					default:
						visWindow.Visible=true;
						break;
				}
			}
		}

		private void btnCancel_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void btnApply_Click(object sender, System.EventArgs e)
		{
			this.ApplySettings();
		}

		private Visio.Window SearchInWindow(Visio.Windows windows, int iWindowType)
		{
			Visio.Window window=null;

			if ( windows == null )
				return window;

			try
			{
				window = windows.get_ItemEx (iWindowType);
				return window;
			}
			catch 
			{
			}

			Visio.Window itemWindow = null;
			for (int i = windows.Count; i > 0; i--) 
			{
				itemWindow = windows.get_ItemEx (i);

				window= SearchInWindow(window.Windows, iWindowType);

				if ( window != null )
				{
					return window;
				}
			}

			return window;
		}

		private void ApplySettings()
		{
			for (int i = this.DrawingControl.Window.Windows.Count; i > 0; i--) 
			{
				Visio.Window visWindow;
				int windowType;

				visWindow = this.DrawingControl.Window.Windows.get_ItemEx(i);
				windowType = visWindow.Type;

				switch (visWindow.ID) 
				{
					case (int) Visio.VisWinTypes.visAnchorBarAddon:
						visWindow.Visible = this.checkAnchorBarAddon.Checked;
						break;

					case (int) Visio.VisWinTypes.visAnchorBarBuiltIn:
						visWindow.Visible = this.checkAnchorBarBuiltIn.Checked;
						break;

					case (int) Visio.VisWinTypes.visApplication:
						visWindow.Visible = this.checkApplication.Checked;
						break;

					case (int) Visio.VisWinTypes.visDockedStencilAddon:
						visWindow.Visible = this.checkDockedStencilAddon.Checked;
						break;

					case (int) Visio.VisWinTypes.visDockedStencilBuiltIn:
						visWindow.Visible = this.checkDockedStencilBuiltIn.Checked;
						break;

					case (int) Visio.VisWinTypes.visDrawing:
						visWindow.Visible = this.checkDrawing.Checked;
						break;

					case (int) Visio.VisWinTypes.visDrawingAddon:
						visWindow.Visible = this.checkDrawingAddon.Checked;
						break;

					case (int) Visio.VisWinTypes.visIcon:
						visWindow.Visible = this.checkIcon.Checked;
						break;

					case (int) Visio.VisWinTypes.visInvalWinID:
						visWindow.Visible = this.checkInvalWinID.Checked;
						break;

					case (int) Visio.VisWinTypes.visMasterGroupWin:
						visWindow.Visible = this.checkMasterGroupWin.Checked;
						break;

					case (int) Visio.VisWinTypes.visMasterWin:
						visWindow.Visible = this.checkMasterWin.Checked;
						break;

					case (int) Visio.VisWinTypes.visPageGroupWin:
						visWindow.Visible = this.checkPageGroupWin.Checked;
						break;

					case (int) Visio.VisWinTypes.visPageWin:
						visWindow.Visible = this.checkPageWin.Checked;
						break;

					case (int) Visio.VisWinTypes.visSheet:
						visWindow.Visible = this.checkSheet.Checked;
						break;

					case (int) Visio.VisWinTypes.visStencilAddon:
						visWindow.Visible = this.checkStencilAddon.Checked;
						break;

					case (int) Visio.VisWinTypes.visWinIDCustProp:
						visWindow.Visible = this.checkWinIDCustProp.Checked;
						break;

					case (int) Visio.VisWinTypes.visWinIDDrawingExplorer:
						visWindow.Visible = this.checkWinIDDrawingExplorer.Checked;
						break;

					case (int) Visio.VisWinTypes.visWinIDMasterExplorer:
						visWindow.Visible = this.checkWinIDMasterExplorer.Checked;
						break;
					case (int) Visio.VisWinTypes.visWinIDPanZoom:
						visWindow.Visible = this.checkWinIDPanZoom.Checked;
						break;

					case (int) Visio.VisWinTypes.visWinIDSizePos:
						visWindow.Visible = this.checkWinIDSizePos.Checked;
						break;

					case (int) Visio.VisWinTypes.visWinIDStencilExplorer:
						visWindow.Visible = this.checkWinIDStencilExplorer.Checked;
						break;

					case (int) Visio.VisWinTypes.visWinIDShapeSearch:
						visWindow.Visible = this.checkWinIDShapeSearch.Checked;
						break;

					case (int) Visio.VisWinTypes.visWinIDFormulaTracing:
						visWindow.Visible = this.checkWinIDFormulaTracing.Checked ;
						break;

					default:
						visWindow.Visible=true;
						break;
				}
			}


			//Visio.Window visWindow;

			/*
			visWindow = SearchInWindow(this.DrawingControl.Window.Windows,(int) Visio.VisWinTypes.visAnchorBarAddon);
			if ( visWindow != null )
			{
				visWindow.Visible = this.checkAnchorBarAddon.Checked;
			}

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visAnchorBarBuiltIn);
			visWindow.Visible = this.checkAnchorBarBuiltIn.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visApplication);
			visWindow.Visible = this.checkApplication.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visDockedStencilAddon);
			visWindow.Visible = this.checkDockedStencilAddon.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visDockedStencilBuiltIn);
			visWindow.Visible = this.checkDockedStencilBuiltIn.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visDrawing);
			visWindow.Visible = this.checkDrawing.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visDrawingAddon);
			visWindow.Visible = this.checkDrawingAddon.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visIcon);
			visWindow.Visible = this.checkIcon.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visMasterGroupWin);
			visWindow.Visible = this.checkMasterGroupWin.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visMasterWin);
			visWindow.Visible = this.checkMasterWin.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visPageGroupWin);
			visWindow.Visible = this.checkPageGroupWin.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visPageWin);
			visWindow.Visible = this.checkPageWin.Checked;

			//?? A questo ID era associato lo scensil "Icons" 
			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visSheet);
			visWindow.Visible = this.checkSheet.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visStencilAddon);
			visWindow.Visible = this.checkStencilAddon.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visWinIDCustProp);
			visWindow.Visible = this.checkWinIDCustProp.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visWinIDDrawingExplorer);
			visWindow.Visible = this.checkWinIDDrawingExplorer.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visWinIDFormulaTracing);
			visWindow.Visible = this.checkWinIDFormulaTracing.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visWinIDMasterExplorer);
			visWindow.Visible = this.checkWinIDMasterExplorer.Checked;
			*/
			/*visWindow = SearchInWindow(this.DrawingControl.Window.Windows,(int) Visio.VisWinTypes.visWinIDPanZoom);
			if ( visWindow != null )
			{
				visWindow.Visible = this.checkWinIDPanZoom.Checked;
			}
			*/

			/*
			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visWinIDSizePos);
			visWindow.Visible = this.checkWinIDSizePos.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visWinIDStencilExplorer);
			visWindow.Visible = this.checkWinIDStencilExplorer.Checked;

			visWindow = this.DrawingControl.Window.Windows.get_ItemEx((int) Visio.VisWinTypes.visWinIDShapeSearch);
			visWindow.Visible = this.checkWinIDShapeSearch.Checked;
			*/
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			Visio.Window visWindow=null;
			try
			{
				visWindow = this.DrawingControl.Window.Windows.get_ItemEx(Int32.Parse (this.textBox1.Text));
				visWindow.Visible = this.check.Checked;
				
			}
			catch
			{
				MessageBox.Show ("error");
			}

			
		}
	}
}
