using System;
using System.Runtime.InteropServices;

namespace ScenarioFramework.WAPI
{
	/// <summary>
	/// Summary description for Logger.
	/// </summary>
	public class Logger
	{
		public enum Level
		{
			FATAL = 1,
			ERROR = 2,
			WARNING = 3,
			INFO = 4,
			DEBUG = 5,
			CODEPATH = 6,
			CODEBLOCK = 7
		};

		public Logger()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		[ DllImport( "WAPI.dll", EntryPoint="LoggerLevel" )]
		private static extern IntPtr LoggerLevel(string sLog, int iTraceLevel);

		private static void Log(Level level, string sLog)
		{
			Logger.LoggerLevel( sLog, (int)level); 
		}

	}
}
