﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ScenarioFramework.WorkflowEngine.Database.WorkflowProcesses
{
    public class KPI
    {
        private string sId;
        private string sName;
        private string sValue;
        private DateTime dtStart;
        private DateTime dtStop;
        private int iElapsed;

        public KPI()
        {
            this.Init();
        }

        public void Init()
        {
            sId = null;
            sName = null;
            sValue = null;
            dtStart = new DateTime();
            dtStop = new DateTime();
        }

        public string Id
        {
            get { return this.sId; }
            set { this.sId = value; }
        }

        public string Name
        {
            get { return this.sName; }
            set { this.sName = value; }
        }

        public string Value
        {
            get { return this.sValue; }
            set { this.sValue = value; }
        }

        public DateTime Start
        {
            get { return this.dtStart; }
            set { this.dtStart = value; }
        }

        public DateTime Stop
        {
            get { return this.dtStop; }
            set { this.dtStop = value; }
        }
        
        //Stop - Start in days
        public int Elapsed 
        {
            get { return this.iElapsed; }
            set { this.iElapsed = value; }
        }
    }
}
