using System;
using Quartz;

namespace ScenarioFramework.WorkflowEngine.Events
{
    public class Signal : SignalBase
    {
        public Signal()
        {
        }

        override public Trigger GetTrigger(string sEventAction)
        {
            //TODO: le caratteristiche del trigger andrebbero estrapolate da sEventAction
            Trigger trigger = Quartz.TriggerUtils.MakeSecondlyTrigger();
            trigger.StartTimeUtc = DateTime.Now.ToUniversalTime();
            trigger.Group = "Scenario";
            return trigger;
        }

        override public JobDetail GetJobDetail(String sEventAction)
        {
            //TODO: le caratteristiche del job andrebbero estrapolate da sEventAction
            JobDetail jobDetail = new JobDetail();
            jobDetail.JobType = typeof(ScenarioFramework.WorkflowEngine.Events.Jobs.SingalJob);
            jobDetail.Group = "Scenario";

            /*jobDetail.JobDataMap[Jobs.ScenarioJob.CLASSID_TAG] = 123;               //TODO:
            jobDetail.JobDataMap[Jobs.ScenarioJob.PROCESSXML_TAG] = item.ProcessXML;
            jobDetail.JobDataMap[Jobs.ScenarioJob.WAPIXML_TAG] = "l'xml della WAPI"; //TODO:
             */

            return jobDetail;
        }
    }
}
