﻿using System;
using System.Collections;
using System.Text;
using System.Configuration;
using System.Xml;

namespace ScenarioFramework.WorkflowEngine.Scheduler.Settings
{
    public class ListenerSection : ConfigurationSection
    {
        // Create a "remoteOnly" attribute.
        [ConfigurationProperty("connectionString", IsRequired = true)]
        public String ConnectionString
        {
            get
            {
                return (String)this["connectionString"];
            }
            set
            {
                this["connectionString"] = value;
            }
        }

        [ConfigurationProperty("pollingSeconds", IsRequired=true)]
        public Int16 PollingSeconds
        {
            get
            {
                return (Int16)this["pollingSeconds"];
            }
            set
            {
                this["pollingSeconds"] = value;
            }
        }

    }

}
