﻿using System;
using NUnit.Framework;

namespace ScenarioFramework.WorkflowEngine.TEST
{
    [TestFixture]
    public class TestEngine
    {
        ScenarioFramework.WorkflowEngine.Engine engine = null;

        public TestEngine()
        {
        }

        [TestFixtureSetUp]
        public void init()
        {
            engine = new Engine();
            engine.StartUp();
        }


        [TestFixtureTearDown]
        public void End()
        {
            System.Threading.Thread.Sleep(1000000000);
            engine.ShutDown();
        }

        [Test]
        public void CreateProcess()
        {
            engine.StartProcess("StartEnd");
        }

        /*[Test]
        public void AddJob()
        {
            engine.Scheduler.AddJob("ActivityJobExample",
                          typeof(ScenarioFramework.WorkflowEngine.Scheduler.Jobs.DummyJob),
                          "ActivityJob_everySecond",
                          Quartz.TriggerUtils.MakeSecondlyTrigger(),
                          DateTime.Now);
        }
        */
    }
}
