﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.AddIn.Contract;
using System.AddIn.Pipeline;

namespace ScenarioFramework.AddIns.Contracts
{
    /// <summary>
    /// This interface defines the contract between the host and the add-in, and 
    /// therefore cannot be versioned.
    /// </summary>
    [AddInContract]
    public interface ISimpleContract : IContract
    {
        string SayHello(string name);
    }
}
