﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ScenarioFramework.Tools.UI.Controls.ListControls.ListItem
{
    public enum ActivityType
    {
        UserLocked,
        Available,
        UserNotified,
        UserVisible,
        All
    };

    public class ActivityTypeComboItem : object
    {
        protected String m_Name;
        protected ActivityType m_Value;

        public ActivityTypeComboItem(ActivityType in_value, String name)
        {
            m_Name = name;
            m_Value = in_value;
        }

        public override string ToString()
        {
            return m_Name;
        }

        public ActivityType Type
        {
            get
            {
                return m_Value;
            }
        }

    };

    
}
